Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1302793002: Refactor "options" argument to getUserMedia to be a dictionary (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 11 months ago by hta - Chromium
Modified:
1 year, 11 months ago
CC:
blink-reviews, tommyw+watchlist_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Refactor "options" argument to getUserMedia to be a dictionary This argument was a Dictionary (unconstrained). Now it is a WebIdl "dictionary" with members "video" and "audio". Tests still pass. BUG=522612 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=200901

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+28 lines, -21 lines) Patch
M Source/modules/mediastream/MediaDevices.h View 2 chunks +2 lines, -2 lines 0 comments Download
M Source/modules/mediastream/MediaDevices.cpp View 2 chunks +2 lines, -1 line 0 comments Download
M Source/modules/mediastream/MediaDevices.idl View 1 chunk +1 line, -1 line 0 comments Download
A + Source/modules/mediastream/MediaStreamConstraints.idl View 1 chunk +3 lines, -2 lines 0 comments Download
M Source/modules/mediastream/NavigatorMediaStream.h View 1 chunk +2 lines, -1 line 0 comments Download
M Source/modules/mediastream/NavigatorMediaStream.cpp View 2 chunks +2 lines, -1 line 0 comments Download
M Source/modules/mediastream/NavigatorMediaStream.idl View 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/mediastream/UserMediaRequest.h View 1 chunk +2 lines, -1 line 0 comments Download
M Source/modules/mediastream/UserMediaRequest.cpp View 1 chunk +10 lines, -11 lines 3 comments Download
M Source/modules/modules.gypi View 2 chunks +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 16 (6 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302793002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302793002/1
1 year, 11 months ago (2015-08-19 19:46:54 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/95529)
1 year, 11 months ago (2015-08-19 22:22:37 UTC) #4
hta - Chromium
Please take a look. The bot failure looks unrelated.
1 year, 11 months ago (2015-08-20 08:00:06 UTC) #6
tommi (sloooow) - chröme
lgtm! one nit. https://codereview.chromium.org/1302793002/diff/1/Source/modules/mediastream/UserMediaRequest.cpp File Source/modules/mediastream/UserMediaRequest.cpp (right): https://codereview.chromium.org/1302793002/diff/1/Source/modules/mediastream/UserMediaRequest.cpp#newcode59 Source/modules/mediastream/UserMediaRequest.cpp:59: if (options.getAsBoolean()) { } else if ...
1 year, 11 months ago (2015-08-20 08:05:28 UTC) #7
hta - Chromium
I think we're OK as it stands.... https://codereview.chromium.org/1302793002/diff/1/Source/modules/mediastream/UserMediaRequest.cpp File Source/modules/mediastream/UserMediaRequest.cpp (right): https://codereview.chromium.org/1302793002/diff/1/Source/modules/mediastream/UserMediaRequest.cpp#newcode62 Source/modules/mediastream/UserMediaRequest.cpp:62: } On ...
1 year, 11 months ago (2015-08-20 08:20:33 UTC) #8
tommi (sloooow) - chröme
On 2015/08/20 08:20:33, hta - Chromium wrote: > I think we're OK as it stands.... ...
1 year, 11 months ago (2015-08-20 08:21:48 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302793002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302793002/1
1 year, 11 months ago (2015-08-20 08:23:17 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/95904)
1 year, 11 months ago (2015-08-20 11:26:53 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1302793002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1302793002/1
1 year, 11 months ago (2015-08-20 12:02:11 UTC) #15
commit-bot: I haz the power
1 year, 11 months ago (2015-08-20 14:22:47 UTC) #16
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://src.chromium.org/viewvc/blink?view=rev&revision=200901
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973